Bug 1282145 - Server did not provide user ip adress to application [NEEDINFO]
Server did not provide user ip adress to application
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: John W. Lamb
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 22:26 EST by sagar
Modified: 2015-12-18 15:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 15:18:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jolamb: needinfo? (dhunganasagar)
jolamb: needinfo? (dhunganasagar)


Attachments (Terms of Use)

  None (edit)
Description sagar 2015-11-14 22:26:25 EST
Now i m using drupal in openshift online.
Drupal shows the server ip adress instate of visitors op adress
How can i solve yhis problem
Please help
Comment 1 sagar 2015-11-15 20:52:34 EST
I did not know version
Url is dev.hamrocollege.com
ns1-hamrocollege.rhcloud.com/
Comment 2 John W. Lamb 2015-11-16 16:37:56 EST
This depends on how exactly you're trying to access the requester IP address, but what you probably want is the X-Forwarded-For request header field: https://en.wikipedia.org/wiki/X-Forwarded-For

Could you be more specific about what you mean when you say "Drupal shows the server ip adress instate of visitors op adress"?
Comment 3 John W. Lamb 2015-12-01 10:27:37 EST
Hi, have you been able to solve your issue?
Comment 4 John W. Lamb 2015-12-10 13:46:47 EST
We need the additional requested information to help resolve this. This ticket will be closed after 7 days if no further information is provided.
Comment 5 Timothy Williams 2015-12-18 15:18:14 EST
Since we have not had any of the necessary information to resolve this provided for some time, we are going to go ahead and close this bug.

If the needed information is ready, please feel free to re-open this bug and provide the information.

Note You need to log in before you can comment on or make changes to this bug.